%define rel 1
%define prefix /usr

Summary: Templates for generating a new project and XSLT code to generate getopt() C code, man pages, HTML documentation, Debian package specifications, RPM specifications, etc. from one XML description
Name: fctk
Version: 0.0.7
Release: %rel
Copyright: GPL
Group: Development/Tools
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: W. Michael Petullo <mike@flyn.org>
Distribution: Flyn Linux
URL: http://www.flyn.org
Requires: new sed flyn_docs tidy textutils

%description
The Flyn Computing Template Kit (fctk) is a collection of new 
templates, XSLT templates, and project descriptions. These tools are 
used at Flyn Computing for development. The collection of templates 
use XML and the priciple of not repeating oneself. For example, this 
description comes from an XML file that is used to generate the 
fctk package's man page, HTML documentation, RPM specification, Debian 
package specifications, etc.



%changelog


%prep


%setup


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make

%install
# NOTE: The following trick only works with a modified header-vars.am.
# Change the line ``DESTDIR ='' in this file to ``DESTDIR =
# ${ENV_DESTDIR}.''
make install


%clean
rm -rf $RPM_BUILD_ROOT


%pre



%post



%preun



%postun



%files
%defattr(-, root, root)


%doc	AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz


%config


